<?php
namespace frontend\components;

use yii\base\Widget;

class TransferTotalWidget extends Widget{
	
	public $options = [
		'totalHeading' => 'Összessen'
	];
	
	
	public $viewFile = '//common/_transfer_total';
	
	public function init(){
		parent::init();
		
		if ( !isset($this->options['totalHeading'] ) ){
			$this->options['totalHeading'] = 'Összesen';
		}

		if ( !isset($this->options['panel-type'] ) ){
			$this->options['panel-type'] = 'panel-info';
		}
		
	}
	
	public function run(){
		echo $this->render($this->viewFile,[ 'options' => $this->options ]);
	}
	
}